{
Client Access Objects 1.5

Query demo using two TcaoQuery components

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

This is not a header/detail query, it simply shows how to have more than one
query at a time.  I would like to add header/detail ability to TcaoQuery with
a later release.

Make sure you change the systemName of the TcaoDatabaseConnection component to
your system name.  Also, change the statementText of the TcaoQuery component to
a SQL select statement that will work on your system.

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

unit DataAwareMain2;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, ComCtrls,
  caoErrorMessage, Db, caoQuery, caoDatabaseParmMarkerFormat,
  caoDatabaseSQLCA, caoDatabaseDataFormat, caoDatabaseSQL,
  caoDatabaseConnection, Grids, DBGrids, DBCtrls;

type
  TMainForm = class(TForm)
    StatusLine: TStatusBar;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    caoDatabaseSQL1: TcaoDatabaseSQL;
    caoDatabaseDataFormat1: TcaoDatabaseDataFormat;
    caoDatabaseSQLCA1: TcaoDatabaseSQLCA;
    caoDatabaseParmMarkerFormat1: TcaoDatabaseParmMarkerFormat;
    caoQuery1: TcaoQuery;
    caoErrorMessage1: TcaoErrorMessage;
    caoDatabaseConnection1: TcaoDatabaseConnection;
    DBGrid2: TDBGrid;
    caoDatabaseSQL2: TcaoDatabaseSQL;
    caoDatabaseDataFormat2: TcaoDatabaseDataFormat;
    caoDatabaseSQLCA2: TcaoDatabaseSQLCA;
    caoDatabaseParmMarkerFormat2: TcaoDatabaseParmMarkerFormat;
    caoQuery2: TcaoQuery;
    DataSource2: TDataSource;
    Panel2: TPanel;
    DBNavigator2: TDBNavigator;
    procedure FormCreate(Sender: TObject);
    procedure ShowHint(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TMainForm.ShowHint(Sender: TObject);
begin
  StatusLine.SimpleText := Application.Hint;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  // Open query
  caoErrorMessage1.Setup;
  caoQuery1.Active := True;
  caoQuery2.Active := True
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  // Close query
  caoQuery1.Active := False;
  caoQuery2.Active := False;
  caoDatabaseConnection1.Active := False
end;

end.
